Continental nodes invisible

#1

Got a strange situation form continental I see only Network Component Splitter but not other nodes. Computer runs Wind 7, KNIME is 3.7.2. Please advice.

0 Likes

#2

Hi there,

I also run Win 7 and KNIME 3.7.2 and see both Utility and XLS Formatter. Did you update anything recently? I guess you tried to uninstall it and install it again?

Br,
Ivan

0 Likes

#3

Yes, I reinstalled them with the same result.

0 Likes

#4

Hi,

tried to reproduce it by updating KNIME but couldn’t. Also tried uninstalling and then installing and also nothing. Did you try with -clean option in your .ini file?

Br,
Ivan

1 Like

#5

What -clean will do?

0 Likes

#6

Hi @izaychik63,

The -clean option forces KNIME AP to recreate it’s plugin configuration files. Sometimes things go wrong during installation etc, this has been proven to fix some of these issues. Remember to remove this option again, as it slows down the startup time of KNIME AP.

best,
Gabriel

2 Likes

#7

After restart with -clean still see just one Continental node. Should I reinstall again?
Also, I have warning and error below
eclipse.buildId=unknown

java.version=1.8.0_152

java.vendor=Oracle Corporation

BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US

Command-line arguments: -os win32 -ws win32 -arch x86_64 -data file:/C:/Users/zaychiki/knime-workspace/

org.eclipse.ui

Warning

Tue Jun 11 12:38:30 EDT 2019

Warnings while parsing the key bindings from the ‘org.eclipse.ui.commands’ and ‘org.eclipse.ui.bindings’ extension point

eclipse.buildId=unknown

java.version=1.8.0_152

java.vendor=Oracle Corporation

BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US

Command-line arguments: -os win32 -ws win32 -arch x86_64 -data file:/C:/Users/zaychiki/knime-workspace/

com.continental.knime.xlsformatter

Error

Tue Jun 11 12:38:20 EDT 2019

FrameworkEvent ERROR

org.osgi.framework.BundleException: Could not resolve module: com.continental.knime.xlsformatter [1172]

Bundle was not resolved because of a uses contraint violation.

org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource com.continental.knime.xlsformatter [osgi.identity; type=“osgi.bundle”; version:Version=“0.8.2.v201906071229”; osgi.identity=“com.continental.knime.xlsformatter”; singleton:=“true”] because it is exposed to package ‘org.w3c.dom.events’ from resources org.eclipse.osgi [osgi.identity; type=“osgi.bundle”; version:Version=“3.12.100.v20180210-1608”; osgi.identity=“org.eclipse.osgi”; singleton:=“true”] and org.w3c.dom.events [osgi.identity; type=“osgi.bundle”; version:Version=“3.0.0.draft20060413_v201105210656”; osgi.identity=“org.w3c.dom.events”] via two dependency chains.

Chain 1:

com.continental.knime.xlsformatter [osgi.identity; type=“osgi.bundle”; version:Version=“0.8.2.v201906071229”; osgi.identity=“com.continental.knime.xlsformatter”; singleton:=“true”]

require: (&(osgi.wiring.bundle=org.eclipse.core.runtime)(&(bundle-version>=3.13.0)(!(bundle-version>=4.0.0))))

 |

provide: osgi.wiring.bundle: org.eclipse.core.runtime

org.eclipse.osgi [osgi.identity; type=“osgi.bundle”; version:Version=“3.12.100.v20180210-1608”; osgi.identity=“org.eclipse.osgi”; singleton:=“true”]

Chain 2:

com.continental.knime.xlsformatter [osgi.identity; type=“osgi.bundle”; version:Version=“0.8.2.v201906071229”; osgi.identity=“com.continental.knime.xlsformatter”; singleton:=“true”]

require: (&(osgi.wiring.bundle=org.apache.servicemix.bundles.poi)(&(bundle-version>=3.17.0)(!(bundle-version>=5.0.0))))

 |

provide: osgi.wiring.bundle; bundle-version:Version="3.17.0.1"; osgi.wiring.bundle="org.apache.servicemix.bundles.poi"

org.apache.servicemix.bundles.poi [osgi.identity; type=“osgi.bundle”; version:Version=“3.17.0.1”; osgi.identity=“org.apache.servicemix.bundles.poi”]

import: (osgi.wiring.package=org.w3c.dom.events)

 |

export: osgi.wiring.package: org.w3c.dom.events

org.w3c.dom.events [osgi.identity; type=“osgi.bundle”; version:Version=“3.0.0.draft20060413_v201105210656”; osgi.identity=“org.w3c.dom.events”]

            at org.eclipse.osgi.container.Module.start(Module.java:444)

            at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1634)

            at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1613)

            at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1585)

            at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1528)

            at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)

            at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)

            at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
0 Likes

#8

Hi @izaychik63 ,

you did only restart? Try closing KNIME and then starting it again: Missing value on Linux

this is second time I’ve seen FrameworkEvent error for this module (com.continental.knime.xlsformatter)

This started after update, right?

Anyways will explore it and get back to you.

Br,
Ivan

1 Like

#9

The framework error is stable.
Also, I have one more
eclipse.buildId=unknown

java.version=1.8.0_152

java.vendor=Oracle Corporation

BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US

Command-line arguments: -os win32 -ws win32 -arch x86_64

org.eclipse.ui

Error

Wed Jun 12 09:25:30 EDT 2019

Unhandled event loop exception

org.eclipse.swt.SWTException: Widget is disposed

            at org.eclipse.swt.SWT.error(SWT.java:4533)

            at org.eclipse.swt.SWT.error(SWT.java:4448)

            at org.eclipse.swt.SWT.error(SWT.java:4419)

            at org.eclipse.swt.widgets.Widget.error(Widget.java:482)

            at org.eclipse.swt.widgets.Widget.checkWidget(Widget.java:354)

            at org.eclipse.swt.widgets.Widget.getStyle(Widget.java:679)

            at org.eclipse.draw2d.LightweightSystem$RootFigure.isMirrored(LightweightSystem.java:338)

            at org.eclipse.draw2d.Figure.isMirrored(Figure.java:1035)

            at org.eclipse.draw2d.Figure.isMirrored(Figure.java:1035)

            at org.eclipse.draw2d.Figure.isMirrored(Figure.java:1035)

            at org.eclipse.draw2d.Figure.isMirrored(Figure.java:1035)

            at org.eclipse.draw2d.Figure.isMirrored(Figure.java:1035)

            at org.eclipse.draw2d.Figure.isMirrored(Figure.java:1035)

            at org.eclipse.draw2d.Figure.isMirrored(Figure.java:1035)

            at org.eclipse.draw2d.Figure.isMirrored(Figure.java:1035)

            at org.eclipse.draw2d.text.BlockFlow.getOrientation(BlockFlow.java:166)

            at org.eclipse.draw2d.text.BlockFlow.validate(BlockFlow.java:307)

            at org.eclipse.draw2d.text.FlowPage.validate(FlowPage.java:150)

            at org.eclipse.draw2d.text.FlowPage.getPreferredSize(FlowPage.java:85)

            at org.eclipse.draw2d.BorderLayout.calculatePreferredSize(BorderLayout.java:157)

            at org.eclipse.draw2d.AbstractLayout.getPreferredSize(AbstractLayout.java:110)

            at org.eclipse.draw2d.AbstractHintLayout.getPreferredSize(AbstractHintLayout.java:90)

            at org.eclipse.draw2d.Figure.getPreferredSize(Figure.java:810)

            at org.eclipse.draw2d.Figure.getPreferredSize(Figure.java:800)

            at org.knime.workbench.editor2.editparts.NodeAnnotationEditPart$1.run(NodeAnnotationEditPart.java:125)

            at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:37)

            at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)

            at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4213)

            at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3820)

            at org.eclipse.swt.widgets.Display.release(Display.java:3874)

            at org.eclipse.swt.graphics.Device.dispose(Device.java:298)

            at org.knime.product.rcp.KNIMEApplication.start(KNIMEApplication.java:160)

            at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)

            at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)

            at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)

            at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

            at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

            at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

            at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

            at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

            at java.lang.reflect.Method.invoke(Method.java:498)

            at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:653)

            at org.eclipse.equinox.launcher.Main.basicRun(Main.java:590)

            at org.eclipse.equinox.launcher.Main.run(Main.java:1499)
0 Likes

#10

That’s an interesting stack trace as it has to do with rendering annotations on the workflow canvas, so i’m not sure how that could impact seeing the existence of the nodes in the repository. If you close all open workflows, you should at least no longer see this exception and it will rule out whether it is somehow impacting the populating of the repository.

2 Likes

#11

Thank you quaeler. After I closed half of the opened WF second error gone.

0 Likes

#12

Ivan, do you have updates for my issue?

0 Likes

#13

Hi @izaychik63,

Just to check where this the steps you performed?

  • uninstall Continental extension
  • close KNIME and start it with -clean option
  • install Continental Extension

If not try it in that order. If you already tried it I will look further.

Br,
Ivan

0 Likes

#14

Ivan, I did it as you recommended. Error is persisting.

0 Likes